package ch.hevs.isi.core;

import ch.hevs.isi.db.DatabaseConnector;
import ch.hevs.isi.field.FieldConnector;
import ch.hevs.isi.web.WebConnector;

public class FloatDataPoint extends DataPoint{
    private float value;
    public FloatDataPoint(String label, boolean isOutput) {
        super(label, isOutput);
    }
    public void setValue(float value){
        this.value = value;
        if (getDataPointFromLabel(this.getLabel()) == null){
            this.update(true);
        } else {
            this.update(false);
        }
    }

    public float getValue(){
        return this.value;
    }

    public String toString(){
        String s;
        s = this.getLabel();
        s += "=";
        s += this.getValue();
        return s;
    }

}
